> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Threads

> List orchestration threads grouped by latest checkpoint per thread.



## OpenAPI

````yaml /openapi.json get /api/v1/admin/orchestration/threads
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/orchestration/threads:
    get:
      tags:
        - Admin Orchestration
        - Admin Orchestration
      summary: List Threads
      description: List orchestration threads grouped by latest checkpoint per thread.
      operationId: list_threads_api_v1_admin_orchestration_threads_get
      parameters:
        - name: graph
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Graph
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ThreadSummary'
                title: Response List Threads Api V1 Admin Orchestration Threads Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ThreadSummary:
      properties:
        thread_id:
          type: string
          title: Thread Id
        graph_name:
          type: string
          title: Graph Name
        status:
          type: string
          title: Status
        current_node:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Node
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        last_updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Updated At
        pending_interrupt:
          type: boolean
          title: Pending Interrupt
          default: false
        summary:
          additionalProperties: true
          type: object
          title: Summary
      type: object
      required:
        - thread_id
        - graph_name
        - status
      title: ThreadSummary
      description: |-
        High-level view of a single LangGraph thread.

        `status` ∈ {active, interrupted, errored, completed}
        `summary` carries a small dict of identifying fields parsed out of
        the thread id (e.g. {"task_id": "..."} for `mkt:` threads).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````